Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_proc_t Struct Reference

`#include <vm_core.h>`

## Data Fields
rb_block_t | block
VALUE | envval
VALUE | blockprocval
int | safe_level
int | is_from_method
int | is_lambda

## Detailed Description

Definition at line 668 of file vm_core.h.

## Field Documentation

rb_block_t rb_proc_t::block

Definition at line 669 of file vm_core.h.

Referenced by iseq_s_of(), proc_binding(), proc_call(), proc_dup(), proc_mark(), proc_to_s(), rb_fiber_start(), rb_funcall_with_block(), rb_hash_proc(), rb_method_call_with_block(), rb_mod_define_method(), rb_proc_call_with_block(), rb_proc_get_iseq(), rb_proc_min_max_arity(), rb_vm_invoke_proc(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), thread_start_func_2(), vm_callee_setup_arg_complex(), vm_caller_setup_args(), vm_invoke_proc(), and vm_make_env_object().

VALUE rb_proc_t::blockprocval

Definition at line 672 of file vm_core.h.

Referenced by proc_dup(), proc_mark(), and rb_vm_make_proc().

VALUE rb_proc_t::envval

Definition at line 671 of file vm_core.h.

Referenced by proc_binding(), proc_dup(), proc_mark(), rb_hash_proc(), rb_vm_make_proc(), and rb_vmdebug_proc_dump_raw().

int rb_proc_t::is_from_method

Definition at line 674 of file vm_core.h.

Referenced by method_proc(), rb_mod_define_method(), and vm_invoke_proc().

int rb_proc_t::is_lambda

Definition at line 675 of file vm_core.h.

Referenced by block_proc_is_lambda(), make_curry_proc(), proc_dup(), proc_new(), proc_to_s(), rb_mod_define_method(), rb_proc_arity(), rb_proc_get_iseq(), and rb_proc_lambda_p().

int rb_proc_t::safe_level

Definition at line 673 of file vm_core.h.

Referenced by proc_dup(), rb_vm_make_proc(), and vm_invoke_proc().

The documentation for this struct was generated from the following file:

- vm_core.h